body{
    color: crimson;
    margin:0;
    padding: 0;
    overflow-x: hidden;
    font-family: "Istok Web", serif;
}

a{
    color: crimson;
}

.istok-web-regular {
    font-family: "Istok Web", serif;
    font-weight: 400;
    font-style: normal;
  }
  
  .istok-web-bold {
    font-family: "Istok Web", serif;
    font-weight: 700;
    font-style: normal;
  }
  
  .istok-web-regular-italic {
    font-family: "Istok Web", serif;
    font-weight: 400;
    font-style: italic;
  }
  
  .istok-web-bold-italic {
    font-family: "Istok Web", serif;
    font-weight: 700;
    font-style: italic;
  }

/* STRUCTURE */

main{
    border: 1px solid crimson;
    border-width: 1px 0;
}
.notes{
    font-size: 0.8rem;
    margin-top: 2rem;
    border-top: 1px solid crimson;
}
.container{
    margin: 1rem 2rem;
}

/* NAV */

#toggle {
    display: none;
}

/**
  Hamburger
**/
.hamburger {
    display: none;
    position: absolute;
    top: 4.5em;
    right: 3rem;
    margin-left: -2em;
    margin-top: -45px;
    width: 2em;
    height: 45px;
    z-index: 5;
    cursor: pointer;
  }
  
  .hamburger div {
    position: relative;
    width: 3em;
    height: 4px;
    border-radius: 3px;
    background-color:crimson;
    margin-top: 8px;
    transition: all 0.3s ease-in-out;
  }

  #toggle:checked + .hamburger div{
    background-color: white;
  }

/**
Nav Styles
**/



/**
Animations
**/
#toggle:checked + .hamburger .top-bun {
    transform: rotate(-45deg);
    margin-top: 25px;
  }
  #toggle:checked + .hamburger .bottom-bun {
    opacity: 0;
    transform: rotate(45deg);
  }
  #toggle:checked + .hamburger .meat {
    transform: rotate(45deg);
    margin-top: -4px;
  }
  
  #toggle:checked + .hamburger + .nav {
    top: 0;
    transform: scale(1);
  }

nav ul,
nav li{
    list-style: none;
    margin: 0;
    padding: 0;
}

nav ul{
    display: flex;
}

nav ul li{
    margin: 1rem;
}

nav ul li a{
    color: white;
    background-color: crimson;
    display: inline-block;
    padding: 0.5rem 2rem;
    text-decoration: none;
    transition: all 0.2s ease-in-out;
}
nav ul li a:hover{
    background-color: black;
}

nav ul li.active a{
    background-color: black;
}


/* TYPOGRAPHY */
h1{
    font-size: clamp(1.533rem, 2vw + 1rem, 2.933rem);
}
h1,h2{

}
  
/* On screens that are 992px or less, set the background color to blue */
  @media screen and (max-width: 992px) {
    /* h1{
        font-size: 1.8rem;
    } */

    header{
        min-height: 4.5rem;
    }

    .hamburger{
        display: block;
    }
    nav ul {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-content: center;
      }
      nav ul li{
        text-align: center;
      }
    .nav {
        position: fixed;
        width: 100%;
        height: 100%;
        background-color: crimson;
        top: -100%; left: 0; right: 0; bottom: 0;
        overflow: hidden;
        /* transition: all 0.3s ease-in-out; */
        transform: scale(0);
      }
      .nav-wrapper {
        position: relative;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        overflow: hidden;
        overflow-y: auto;
        height: 100%;
      }
      nav {
        /* text-align: left;
        margin-left: 25%; */
      }
      nav a {
        position: relative;
        text-decoration: none;
        color: #6ecddd;
        font-size: 2em;
        display: inline-block;
        margin-top: 1.25em;
        transition: color 0.2s ease-in-out;
        letter-spacing: 1px;
      }
      nav a:hover {
        color: white;
      }
  }
  
  /* On screens that are 576px or less, set the background color to olive */
  @media screen and (max-width: 576px) {
    .container{
        margin: 0.5rem 1rem;
    }
    /* h1{
        font-size: 1.3rem;
    } */
    
  }